-------------------------------------------------------------------------------
--
--  @Copyright (c) 2002, Oracle Corporation. All rights reserved.
--  @headcom
--
--  Remove pre-populate strings for database services example
--
--  This script is used to remove pre-populate data for the database services
--  example.
--
-------------------------------------------------------------------------------
set serveroutput on size 1000000
set define off

declare
    l_string_id  integer;
    l_person_id  integer;
    l_group_id   integer;
begin

dbms_output.put_line('Removing NLS strings...');

-- strings for preview mode
l_string_id := wwnls_api.remove_string( 
    'provider','services','prevstr1','us', TRUE);

-- strings for edit defaults mode
l_string_id := wwnls_api.remove_string( 
    'provider','services','custdeftextprompt','us', TRUE);
l_string_id := wwnls_api.remove_string( 
    'provider','services','titledefprompt','us', TRUE);

-- strings for customize mode
l_string_id := wwnls_api.remove_string( 
    'provider','services','custtextprompt','us', TRUE);
l_string_id := wwnls_api.remove_string( 
    'provider','services','titleprompt','us', TRUE);
l_string_id := wwnls_api.remove_string( 
    'provider','services','applybutn','us', TRUE);
l_string_id := wwnls_api.remove_string( 
    'provider','services','okbutn','us', TRUE);
l_string_id := wwnls_api.remove_string( 
    'provider','services','cancelbutn','us', TRUE);

-- strings for error messages
l_string_id := wwnls_api.remove_string( 
    'provider','services','invalid_text','us', TRUE);
l_string_id := wwnls_api.remove_string( 
    'provider','services','securityerr','us', TRUE);
l_string_id := wwnls_api.remove_string( 
    'provider','services','invaliddispmode','us', TRUE);
l_string_id := wwnls_api.remove_string( 
    'provider','services','generalerr','us', TRUE);

-- strings for buttons
l_string_id := wwnls_api.remove_string( 
    'provider','services','closebtn','us', TRUE);

-- strings for portlet record fields
l_string_id := wwnls_api.remove_string( 
    'provider','services','ptldefname','us', TRUE);
l_string_id := wwnls_api.remove_string( 
    'provider','services','ptldeftitle','us', TRUE);
l_string_id := wwnls_api.remove_string( 
    'provider','services','ptldefdesc','us', TRUE);
l_string_id := wwnls_api.remove_string( 
    'provider','services','ptldevtmmsg','us', TRUE);

-- strings for show mode
l_string_id := wwnls_api.remove_string( 
    'provider','services','showstr1','us', TRUE);
l_string_id := wwnls_api.remove_string( 
    'provider','services','showstr2','us', TRUE);

-- strings for details mode
l_string_id := wwnls_api.remove_string( 
    'provider','services','detailstr1','us', TRUE);
l_string_id := wwnls_api.remove_string( 
    'provider','services','detailstr2','us', TRUE);
l_string_id := wwnls_api.remove_string( 
    'provider','services','clearcntbtn','us', TRUE);

-- strings for help mode
l_string_id := wwnls_api.remove_string( 
    'provider','services','helptitle','us', TRUE);
l_string_id := wwnls_api.remove_string( 
    'provider','services','helpstr1','us', TRUE);

-- strings for about mode
l_string_id := wwnls_api.remove_string( 
    'provider','services','abouttitle','us', TRUE);
l_string_id := wwnls_api.remove_string( 
    'provider','services','aboutstr1','us', TRUE);

commit;

dbms_output.put_line('Seed data successfully completed');

exception
    when others then
        dbms_output.put_line('ERROR: Could not install seed data for Services example provider');
        rollback;
end;
/
